# Pyserini Release Notes (v0.11.0.0)

**Release date: February 18, 2021**

+ Added support for replicating DPR retrieval results [(Karpukhin et al. 2020)](https://arxiv.org/abs/2004.04906).
+ Improved support for TCT-ColBERT [(Lin et al. 2020)](https://arxiv.org/abs/2010.11386).
+ Added interactive retrieval support for dense and hybrid techniques, example with TCT-ColBERT.
+ Added integration test cases and replication guides for both TCT-ColBERT and DPR.
+ Added replication guide for KILT BM25 baselines.
+ Added support for accessing qrels from standard test collections.
+ Improved query iterator for standard test collections.
+ Improved built-in support for MS MARCO doc/passage evaluation and `trec_eval` in `pyserini.eval`.
+ Updated documentation for spaCy and entity linking.
+ Standardized dependencies, especially important for `transformers`, `torch`, `tensorflow`, and `faiss-cpu`.

## Contributors (This Release)

Sorted by number of commits:

+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Kai Sun ([KaiSun314](https://github.com/KaiSun314))
+ Larry Li ([larryli1999](https://github.com/larryli1999))
+ Jiarui Zhang ([jrzhang12](https://github.com/jrzhang12))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Yuxuan Ji ([yuxuan-ji](https://github.com/yuxuan-ji))
+ Marko Arezina ([mrkarezina](https://github.com/mrkarezina))
+ Emily Ye ([yemiliey](https://github.com/yemiliey))
   
## All Contributors

Sorted by number of commits, [according to GitHub](https://github.com/castorini/pyserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Pepijn Boers ([PepijnBoers](https://github.com/PepijnBoers))
+ Marko Arezina ([mrkarezina](https://github.com/mrkarezina))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Qing Guo ([qguo96](https://github.com/qguo96))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Dahlia Chehata ([Dahlia-Chehata](https://github.com/Dahlia-Chehata))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Larry Li ([larryli1999](https://github.com/larryli1999))
+ Jiarui Zhang ([jrzhang12](https://github.com/jrzhang12))
+ Kai Sun ([KaiSun314](https://github.com/KaiSun314))
+ Tim Hatch ([thatch](https://github.com/thatch))
+ Yue Zhang ([nsndimt](https://github.com/nsndimt))
+ Alireza Mirzaeiyan ([amirzaeiyan](https://github.com/amirzaeiyan))
+ Rakeeb Hossain ([rakeeb123](https://github.com/rakeeb123))
+ Jerry Huang ([jhuang265](https://github.com/jhuang265))
+ Jeffrey Chen ([JeffreyCA](https://github.com/JeffreyCA))
+ Adam Yang ([adamyy](https://github.com/adamyy))
+ Hector (Xinhai) Wei ([HEC2018](https://github.com/HEC2018))
+ Emily Ye ([yemiliey](https://github.com/yemiliey))
+ Yuxuan Ji ([yuxuan-ji](https://github.com/yuxuan-ji))
